
From: Adrian Bunk <bunk@stusta.de>

VIDEO_SAA7134=y and SOUND=n results in the following compile error:

  LD      .tmp_vmlinux1
drivers/built-in.o(.text+0x4fafcb): In function `saa7134_initdev':
: undefined reference to `unregister_sound_dsp'
drivers/built-in.o(.text+0x4fb141): In function `saa7134_initdev':
: undefined reference to `register_sound_dsp'
drivers/built-in.o(.text+0x4fb17c): In function `saa7134_initdev':
: undefined reference to `register_sound_mixer'
drivers/built-in.o(.text+0x4fb339): In function `saa7134_finidev':
: undefined reference to `unregister_sound_mixer'
drivers/built-in.o(.text+0x4fb341): In function `saa7134_finidev':
: undefined reference to `unregister_sound_dsp'
make: *** [.tmp_vmlinux1] Error 1

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Cc: Mauro Carvalho Chehab <mchehab@brturbo.com.br>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/video/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/media/video/Kconfig~video_saa7134-must-depend-on-sound drivers/media/video/Kconfig
--- devel/drivers/media/video/Kconfig~video_saa7134-must-depend-on-sound	2005-07-16 18:29:14.000000000 -0700
+++ devel-akpm/drivers/media/video/Kconfig	2005-07-16 18:29:14.000000000 -0700
@@ -236,7 +236,7 @@ config VIDEO_MEYE
 
 config VIDEO_SAA7134
 	tristate "Philips SAA7134 support"
-	depends on VIDEO_DEV && PCI && I2C
+	depends on VIDEO_DEV && PCI && I2C && SOUND
 	select VIDEO_BUF
 	select VIDEO_IR
 	select VIDEO_TUNER
_
